org.apache.tinkerpop.gremlin.structure.io.util

## Class CustomId.CustomIdJacksonDeserializerV3d0

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer<T>
  - - org.apache.tinkerpop.shaded.jackson.databind.deser.std.StdDeserializer<CustomId>
    - - org.apache.tinkerpop.gremlin.structure.io.util.CustomId.CustomIdJacksonDeserializerV3d0

- All Implemented Interfaces:
    Serializable, org.apache.tinkerpop.shaded.jackson.databind.deser.NullValueProvider
  Enclosing class:
    CustomId

      public static class CustomId.CustomIdJacksonDeserializerV3d0
      extends org.apache.tinkerpop.shaded.jackson.databind.deser.std.StdDeserializer<CustomId>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer

      `org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.deser.std.StdDeserializer

      `_valueClass, _valueType, F_MASK_ACCEPT_ARRAYS, F_MASK_INT_COERCIONS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomIdJacksonDeserializerV3d0()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CustomId` | `deserialize(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser, org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)`
    `boolean` | `isCachable()`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.deser.std.StdDeserializer

      `_byteOverflow, _coercedTypeDesc, _coerceEmptyString, _coerceIntegral, _coerceNullToken, _coerceTextualNull, _deserializeFromArray, _deserializeFromEmpty, _deserializeWrappedValue, _failDoubleToIntCoercion, _findNullProvider, _hasTextualNull, _intOverflow, _isEmptyOrTextualNull, _isIntNumber, _isNaN, _isNegInf, _isPosInf, _neitherNull, _nonNullNumber, _parseBooleanFromInt, _parseBooleanPrimitive, _parseBooleanPrimitive, _parseBytePrimitive, _parseDate, _parseDate, _parseDateFromArray, _parseDoublePrimitive, _parseDoublePrimitive, _parseFloatPrimitive, _parseFloatPrimitive, _parseIntPrimitive, _parseIntPrimitive, _parseLongPrimitive, _parseLongPrimitive, _parseShortPrimitive, _parseString, _reportFailedNullCoerce, _shortOverflow, _verifyEndArrayForSingle, _verifyNullForPrimitive, _verifyNullForPrimitiveCoercion, _verifyNullForScalarCoercion, _verifyNumberForScalarCoercion, _verifyStringForScalarCoercion, deserializeWithType, findContentNullProvider, findContentNullStyle, findConvertingContentDeserializer, findDeserializer, findFormatFeature, findFormatOverrides, findValueNullProvider, getValueClass, getValueType, getValueType, handledType, handleMissingEndArrayForSingle, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer

      `deserialize, deserializeWithType, findBackReference, getDelegatee, getEmptyAccessPattern, getEmptyValue, getEmptyValue, getKnownPropertyNames, getNullAccessPattern, getNullValue, getNullValue, getObjectIdReader, replaceDelegatee, supportsUpdate, unwrappingDeserializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomIdJacksonDeserializerV3d0

          public CustomIdJacksonDeserializerV3d0()

  - ### Method Detail

    - #### deserialize

          public CustomId deserialize(org.apache.tinkerpop.shaded.jackson.core.JsonParser jsonParser,
                                      org.apache.tinkerpop.shaded.jackson.databind.DeserializationContext deserializationContext)
                               throws IOException,
                                      org.apache.tinkerpop.shaded.jackson.core.JsonProcessingException

      Specified by:
        `deserialize` in class `org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer<CustomId>`
      Throws:
        `IOException`
        `org.apache.tinkerpop.shaded.jackson.core.JsonProcessingException`

    - #### isCachable

          public boolean isCachable()

      Overrides:
        `isCachable` in class `org.apache.tinkerpop.shaded.jackson.databind.JsonDeserializer<CustomId>`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.